Bug 135663 - boot init scripts hang (probably: root fs mounted ro)
boot init scripts hang (probably: root fs mounted ro)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-14 03:57 EDT by Nadav Kavalerchik
Modified: 2015-01-04 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-27 01:22:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nadav Kavalerchik 2004-10-14 03:57:34 EDT
Description of problem:
it appears the init scripts mount the root fs with ro flag 
causing "setting kernel parameters" to hang. and after ctrl-c the run-
level switches to 5 and later the network interface eth0 fails to 
load reporting '/var/... read-only' and much later the "system 
logger" halts.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.after smooth update from fc2 to fc3t3
2.booting...
3.some init scripts run , but later it hangs ( just after "starting 
system logger"
    

Additional info:
Comment 1 Bill Nottingham 2004-10-14 11:48:37 EDT
Read-only is how it's always started on bootup; setting kernel
parameters is normally done with the root FS read only.

More likely it's hanging talking to your hardware clock (the next
thing in the boot sequence.)

Is this the stock test3 kernel or a later one?
Comment 2 Nadav Kavalerchik 2004-10-15 02:31:34 EDT
it's not the clock ( i guess ) it goes all the way until the "starting
system logger" and then stops/loops for ever ( a very long time, more
than i waited) but when i press the "ctrl-alt-del" it changes
run-level to 6 and it boots.
also... i removed the system logger from the services boot list and
the kernel+os boots smoothly :-)
i'll try to figure out what's really the problem 
(( thanks for the quick response ))
Comment 3 Nadav Kavalerchik 2004-10-16 05:04:34 EDT
i continued to look into it and found out that removing the "rhgb"
from the kernel's boot command makes the boot process run smoothly
while otherwise stuck the boot process just after the "setting kernel
parameters"
Comment 4 Dave Jones 2004-10-27 01:22:28 EDT
this was the xorg vs rhgb bug. Upgrade both those packages to current, and this
will go away.
Comment 5 Nadav Kavalerchik 2004-10-27 03:08:34 EDT
thanks 

Note You need to log in before you can comment on or make changes to this bug.